Subject: Offline Message from Farhan Noor: Hello, I received my order today from Mumz
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 12 Jun 2020 11:58:51 -0000

From: Farhan Noor <[email-masked]>
Phone: 
Location: Dammam, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/
Department: 

Hello,

I received my order today from
Mumz world. It had one pink toaster cutter which i ordered alongwith a goody pasta pack 350 grams which i didnot order. I opened the pasta packet but havenot paid for it. I got a gift certificate of 14.18 AED because an item which j paid for got cancelled. Kindly cancel the gift certificate in exchange of the pasta pack since i used it. Thanks

Order number: 100150769

GIFT CODE
BRKGF-A6ZH3
PIN: 6979

----
Zopim
https://www.zopim.com